import {NgModule} from "@angular/core";
import {ManageStakeholdersComponent} from "./manageStakeholders.component";
import {ManageStakeholdersRoutingModule} from "./manageStakeholders-routing.module";
import {FreeGuard} from "../openaireLibrary/login/freeGuard.guard";
import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
import {CommonModule} from "@angular/common";
import {RouterModule} from "@angular/router";
import {InputModule} from "../openaireLibrary/dashboard/sharedComponents/input/input.module";
import {LoadingModule} from "../openaireLibrary/dashboard/sharedComponents/loading/loading.module";
import {AlertModalModule} from "../openaireLibrary/utils/modal/alertModal.module";
import {ReactiveFormsModule} from "@angular/forms";

@NgModule({
  declarations: [ManageStakeholdersComponent],
  imports: [
    ManageStakeholdersRoutingModule,
    CommonModule,
    RouterModule,
    InputModule,
    LoadingModule,
    AlertModalModule,
    ReactiveFormsModule
  ],
  providers: [
    FreeGuard, PreviousRouteRecorder,
  ],
  exports: [ManageStakeholdersComponent]
})
export class ManageStakeholdersModule {

}
